net.sf.cglib.transform

## Class TransformingClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - net.sf.cglib.transform.AbstractClassLoader
    - - net.sf.cglib.transform.TransformingClassLoader

-     public class TransformingClassLoader
      extends AbstractClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformingClassLoader(java.lang.ClassLoader parent, ClassFilter filter, ClassTransformerFactory t)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.cglib.transform.AbstractClassLoader

      `loadClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformingClassLoader

          public TransformingClassLoader(java.lang.ClassLoader parent,
                                 ClassFilter filter,
                                 ClassTransformerFactory t)

Copyright (c) 2001 - Apache Software Foundation